## org.eclipse.amp.amf.abase.outline
Class ABaseOutlineNodeAdapterFactory

    java.lang.Object
      DefaultContentOutlineNodeAdapterFactory
          org.eclipse.amp.amf.abase.outline.ABaseOutlineNodeAdapterFactory

    public class ABaseOutlineNodeAdapterFactory

extends DefaultContentOutlineNodeAdapterFactory

Field Summary
`private static java.lang.Class[]` `types`

Constructor Summary
`ABaseOutlineNodeAdapterFactory()`

Method Summary
`java.lang.Class[]` `getAdapterList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### types

    private static final java.lang.Class[] types

Constructor Detail

### ABaseOutlineNodeAdapterFactory

    public ABaseOutlineNodeAdapterFactory()

Method Detail

### getAdapterList

    public java.lang.Class[] getAdapterList()

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors